﻿Imports System.Runtime.InteropServices
''' <summary>L'interface représente un Wrapper de la classe Alarme pour les programmes exe vb6. (elle expose les propriétés et les méthodes)</summary>
''' <remarks>Sera exportée dans la bibliothéque de type créé dans l'assembly.</remarks>
<InterfaceType(ComInterfaceType.InterfaceIsIDispatch)> Public Interface IAlarmes
    Sub GestAlarme()
End Interface
''' <summary>La classe qui implémentes les méthodes et les évènements.</summary>
<ClassInterface(ClassInterfaceType.None)> _
Public Class InterfaceAlarme
    Implements IAlarmes ' contrat entre classe et interface.

    Private fenAlarmes As frmAlarmes = New frmAlarmes

    ''' <summary>Ouvre la fenêtre des alarmes.</summary>
    Public Sub GestAlarme() Implements IAlarmes.GestAlarme
        fenAlarmes.Show() 'fenAlarmes.ShowDialog()
    End Sub

End Class
Public Class Alarme
End Class
